# Uses of Interface
org.eclipse.gef.mvc.fx.providers.ISnappingLocationProvider

Packages that use ISnappingLocationProvider
Package
Description
org.eclipse.gef.mvc.fx.providers

## Uses of ISnappingLocationProvider in org.eclipse.gef.mvc.fx.providers

Classes in org.eclipse.gef.mvc.fx.providers that implement ISnappingLocationProvider
Modifier and Type
Class
Description
`class`
`BoundsSnappingLocationProvider`
The `BoundsSnappingLocationProvider` determines `SnappingModel.SnappingLocation`s along the bounds of the individual `IContentPart`s that contribute to snapping.
`class`
`CenterSnappingLocationProvider`
The `CenterSnappingLocationProvider` is a specialization of `BoundsSnappingLocationProvider` that returns the center of the bounds as the only `SnappingModel.SnappingLocation`s.
`class`
`ConnectionSnappingLocationProvider`
`class`
`TopLeftSnappingLocationProvider`
The `TopLeftSnappingLocationProvider` returns the top left corner of the bounds as the only snapping location.
Methods in org.eclipse.gef.mvc.fx.providers that return ISnappingLocationProvider
Modifier and Type
Method
Description
`static ISnappingLocationProvider`
ISnappingLocationProvider.`union(List<ISnappingLocationProvider> providers)`
Combines the given `ISnappingLocationProvider`s by wrapping them in a new `ISnappingLocationProvider` that returns a combination of all `SnappingModel.SnappingLocation`s that are returned by the individual providers.
Method parameters in org.eclipse.gef.mvc.fx.providers with type arguments of type ISnappingLocationProvider
Modifier and Type
Method
Description
`static ISnappingLocationProvider`
ISnappingLocationProvider.`union(List<ISnappingLocationProvider> providers)`
Combines the given `ISnappingLocationProvider`s by wrapping them in a new `ISnappingLocationProvider` that returns a combination of all `SnappingModel.SnappingLocation`s that are returned by the individual providers.